Name:           args4j
Version:        2.32
Release:        %mkrel 3
Summary:        Java command line arguments parser
Group:          Development/Java
License:        MIT
URL:            http://args4j.kohsuke.org
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-site-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.sun:tools)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires:  mvn(org.kohsuke:pom:pom:)
BuildRequires:  mvn(org.mockito:mockito-all)

%description
args4j is a small Java class library that makes it easy
to parse command line options/arguments in your CUI application.
- It makes the command line parsing very easy by using annotations
- You can generate the usage screen very easily
- You can generate HTML/XML that lists all options for your documentation
- Fully supports localization
- It is designed to parse javac like options (as opposed to GNU-style
  where ls -lR is considered to have two options l and R)

%package tools
Summary:        Development-time tool for generating additional artifacits
Group:          Development/Java

%description tools
This package contains args4j development-time tool for generating
additional artifacits.

%package parent
Summary:        args4j parent POM
Group:          Development/Java

%description parent
This package contains parent POM for args4j project.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-site-%{version}

# removing classpath addition
sed -i 's/<addClasspath>true/<addClasspath>false/g' %{name}-tools/pom.xml

# fix ant group id
sed -i 's/<groupId>ant/<groupId>org.apache.ant/g' %{name}-tools/pom.xml

# removing bundled stuff
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%pom_remove_plugin :maven-shade-plugin %{name}-tools

# XMvn cannot generate requires on dependecies with scope "system"
%pom_xpath_remove "pom:profile[pom:id[text()='jdk-tools-jar']]" %{name}-tools
%pom_add_dep com.sun:tools %{name}-tools

# we don't need these now
%pom_disable_module args4j-maven-plugin
%pom_disable_module args4j-maven-plugin-example

# put args4j-tools and parent POM to separate subpackages
%mvn_package :args4j-tools::{}: %{name}-tools
%mvn_package :args4j-site::{}: %{name}-parent

# install also compat symlinks
%mvn_file ":{*}" %{name}/@1 @1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc %{name}/LICENSE.txt

%files tools -f .mfiles-%{name}-tools

%files parent -f .mfiles-%{name}-parent
%doc %{name}/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc %{name}/LICENSE.txt


%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.32-3.mga6
+ Revision: 982517
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2.32-2.mga6
+ Revision: 975453
- First rebuild of the java stack

* Sun Dec 27 2015 pterjan <pterjan> 2.32-1.mga6
+ Revision: 916124
- Restore groups
- Update to 2.32 and sync with fedora

* Sat Dec 20 2014 pterjan <pterjan> 2.0.28-1.mga5
+ Revision: 804452
- Sync with Fedora 21 (update to 2.0.28)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild
    - Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 2.0.25-1.mga4
+ Revision: 489018
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 2.0.16-4.mga4
+ Revision: 452931
- Update to conform with latest Java packaging guidelines

* Fri Jan 11 2013 umeabot <umeabot> 2.0.16-3.mga3
+ Revision: 346026
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 08 2012 dmorgan <dmorgan> 2.0.16-2.mga3
+ Revision: 268856
- Use final tarballs
- Apply upstream source encoding patch to fix build with java 1.7.

* Sun Sep 04 2011 dmorgan <dmorgan> 2.0.16-1.mga2
+ Revision: 138527
- Adapt to mageia guidelines

* Thu Jun 30 2011 gil <gil> 2.0.16-0.mga2
+ Revision: 116779
- imported package args4j


* Thu Jun 30 2011 gil <gil> 2.0.16-0.%%mkrel
- initial rpm